Steerd API
Employees

Create an employee

POST
/api/public/v1/employees
AuthorizationBearer <token>

In: header

Header Parameters

idempotency-key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/public/v1/employees" \  -H "Content-Type: application/json" \  -d '{    "first_name": "string"  }'
{  "avatar_url": "string",  "bill_rate": 0,  "bio": "string",  "cost_rate": 0,  "created_at": "string",  "currency": "string",  "email": "string",  "first_name": "string",  "id": "string",  "is_active": true,  "last_name": "string",  "phone": "string",  "rate_type": "hourly",  "skills": [    "string"  ],  "title": "string",  "updated_at": "string"}
{  "error": {    "code": "string",    "message": "string"  }}